{ pkgs, lib, config, ... }:

with lib;
{
  services.audiobookshelf = {
    enable = true;
    host = "0.0.0.0";
    port = "8999";
  };

  services.caddy.virtualHosts = {
      "abs.cochrun.xyz".extraConfig = ''
        reverse_proxy localhost:${services.audiobookshelf.port}
      '';
  };
}
  
